require 'redmine'

# Patches to the Redmine core.
require 'dispatcher'
Dispatcher.to_prepare :redmine_version_fields do
  require_dependency 'issue'
  require_dependency 'version'
  require_dependency 'query'

  # Only include the patch if it hasn't been included already
  unless Issue.included_modules.include? RedmineVersionFields::IssuePatch
    Issue.send(:include, RedmineVersionFields::IssuePatch)
  end
  unless Version.included_modules.include? RedmineVersionFields::VersionPatch
    Version.send(:include, RedmineVersionFields::VersionPatch)
  end
  unless Query.included_modules.include? RedmineVersionFields::QueryPatch
    Query.send(:include, RedmineVersionFields::QueryPatch)
  end
end

# Register hooks
class MyHook < Redmine::Hook::ViewListener
  render_on :view_issues_show_details_bottom, :partial => "show_extra_version_fields"
end

# Register the plugin with Redmine
Redmine::Plugin.register :redmine_version_fields do
  name 'Extra Version Fields'
  author 'Pascal Schoenhardt'
  description 'This plugin adds two fields to the Issue: Found In, Release Notes Version. The contents are the Versions for the Issue\'s Project'
  version '0.0.1'
end
