module RedmineVersionFields
  # Patches Redmine's Versions dynamically. Adds two has_many relationships
  module VersionPatch

    def self.included(base) # :nodoc:
      base.extend(ClassMethods)
 
      base.send(:include, InstanceMethods)
 
      # Same as typing in the class
      base.class_eval do
        unloadable # Send unloadable so it will not be unloaded in development
 
        has_many :found_in_issues, :class_name => 'Issue', :foreign_key => 'found_in_version_id'
        has_many :release_note_issues, :class_name => 'Issue', :foreign_key => 'release_notes_version_id'

      end 
    end
    
    module ClassMethods
    end
    
    module InstanceMethods
    end
  end
end
